Subject: [Sigtran] M2PA draft question

From: Tom George <[email-masked]>
Date: Thu, 20 Mar 2003 18:31:06 -0600

While considering the comments about the M2PA draft made by Jeff Craig
(and comments from others, too), I began to think I took a wrong turn in
writing the draft. I have included some information that is really just
duplicating what is in Q.703.

This is not a good idea for several reasons. 

   - It raises questions about whether parts of Q.703 _not_ included
apply to M2PA.

   - We could go on for quite a while adding clarifications to M2PA. It
looks like we are moving toward incorporating much of the Q.703 SDLs in
Figure 7, plus lots of text, too.

   - It creates a lot of confusion on matters where ANSI and ITU behave
differently. For example, our discussion of Flush Buffers.

Not that I am complaining about any of the comments I have received. I
just think that I should not have duplicated Q.703 to clarify M2PA. 

I think a better way would be to state up front that M2PA behaves like
MTP2 (Q.703, T1.111, JT-Q704, etc.) except as stated otherwise herein.
Then confine the draft to specifying the differences between M2PA and
MTP2. 

(Some of you have mentioned this to me earlier, so it is not an original
insight on my part. It just took me a while to come around.)

Then I could remove all of the stuff that is just like Q.703. I would be
left with the M2PA-specific info, such as:

   - setting up SCTP associations
   - responding to SCTP notifications
   - message structure (User Data replaces MSU, etc.)
   - no FISUs
   - no continuously transmitted status messages
   etc.
Most of this is already in the document somewhere or another. 

The examples in section 5 would be OK as they are. 

The infamous Figure 7 could be scaled back to look like Q.703 Figure 2,
or perhaps be eliminated altogether. 

I don't think this would be a huge rewrite. It looks like I would be
taking out a chunk of material, but I would not have to add a lot of new
text. 

Advice and opinions are welcome. 

tomG.

Here is part of what Brian Bidulock had to say when we talked off-list
about this. 
"Brian F. G. Bidulock" wrote:
> Tom,
> 
> Actually, I think that the state diagram has gotten way out of
> control, and so has the text.
> 
> The only reason that I wanted to add the processor outage state
> and remove the retrieval state in the first place is so that the
> diagram would be consistent with Figure 2/Q.703.  If we could
> drop the state diagram down to be consistent with the overview
> diagram in Figure 2/Q.703 and make the statement that the
> diagram is an illustration and that the text overrides, that
> would be a good thing.
> 
> Also, I thought that the objective was only to state the
> differences between M2PA and Q.703 in the text (not copy Q.703
> to M2PA, for which there is probably copyright issues anyway).
> Anywhere that text is copied from Q.703, it would be proper to
> reference Q.703 instead of copying the text over.
> 
  [...]
> I would suggest that the state diagram be cut down to the
> equivalent of Figure 2/Q.703 and that text which is common to
> Q.703 be removed and Q.703 referenced.
> 
> Then the document will be slimmer and will focus on M2PA
> behavior rather than Q.703 behavior.
> 
> It worries me that there has been mention of the Flush Buffers
> and Resume primitives and what SHALL be done when it is
> received.  These primitives differ from ANSI to ITU and even
> differ between versions of ANSI and ITU (Blue Book was
> different).  They do not really exist in the same form for
> SSCOP.
> 
> Actions with respect to transmit buffers, receive buffers,
> retransmit buffers, and timers, and state changes resulting from
> primitives received by MTP3 and when primitives are sent to MTP3
> is no different than Q.703 or MTP3b.  They should not be
> restated in M2PA.  Any copied or even paraphrased text should
> have a written release from ANSI/ITU before being included.
> 
> Feel free to copy the list an include this message in your
> reply.
  [...]

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran